Subject: Is HoldingMultiplier=10 a good value?/also up-down hierarchy bit

From: Radia Perlman - Boston Center for Networking <[email-masked]>
Date: Wed, 28 Apr 1999 19:32:09 -0400 (EDT)

I was just looking at the 10589 spec and realized that not only is
HoldingMultiplier specified to be a constant, but it's the value 10.
That seems excessively large. It would take a long time to notice
someone has gone down.

I would have expected HoldingMultiplier to be a parameter, or having
HoldingTime a parameter in addition to HelloTimer. But it's nice to
have fewer parameters, but in that case I'd have assumed it would be
something like 3 or 4, not 10.

Of course since the only thing you report is HoldingTime, it would
be completely compatible if a router used a different HoldingMultiplier.

*************************
Another quickie...the traffic engineering internet draft says:
"Prefixes that have the up/down bit set to 1 must not be
   redistributed"

It seems harmless to say that it is allowed to be redistributed, but only
DOWN in the hierarchy. That way it allows arbitrary numbers of levels.
It even allows shortcuts between two areas at the same level, which is
somewhat more flexible that a strict tree, but won't get into distance
vector count-to-infinity behavior.

I'm also confused about how a router knows whether one area is up
or down with respect to another.

Radia

---

From: Tony Li <[email-masked]>
Date: Wed, 28 Apr 1999 16:49:05 -0700 (PDT)

|  I was just looking at the 10589 spec and realized that not only is
|  HoldingMultiplier specified to be a constant, but it's the value 10.
|  That seems excessively large. It would take a long time to notice
|  someone has gone down.
|  
|  I would have expected HoldingMultiplier to be a parameter, or having
|  HoldingTime a parameter in addition to HelloTimer. But it's nice to
|  have fewer parameters, but in that case I'd have assumed it would be
|  something like 3 or 4, not 10.
|  
|  Of course since the only thing you report is HoldingTime, it would
|  be completely compatible if a router used a different HoldingMultiplier.

Correct.  In fact, it's not strictly necessary to use an integer holding
multiplier or to even have a multiplier configurable.

One could simply configure the HoldingTime directly.  A case where the spec
got a wee bit overly elaborate, IMHO.

|  *************************
|  Another quickie...the traffic engineering internet draft says:
|  "Prefixes that have the up/down bit set to 1 must not be
|     redistributed"
|  
|  It seems harmless to say that it is allowed to be redistributed, but only
|  DOWN in the hierarchy. That way it allows arbitrary numbers of levels.

Yes, of course.  Will fix, thanks.

|  It even allows shortcuts between two areas at the same level, which is
|  somewhat more flexible that a strict tree, but won't get into distance
|  vector count-to-infinity behavior.

Yes, this was intended.

|  I'm also confused about how a router knows whether one area is up
|  or down with respect to another.

Relevant quote:

	If a prefix is redistributed from a higher level to a lower level
	(e.g. level two to level one), the bit shall be set to 1, to
	indicate that the prefix has travelled down the hierarchy.

Is this not clear?

Tony

---

From: Peter Higginson <[email-masked]>
Date: Thu, 29 Apr 1999 07:43:09 +0100

Holding Multiplier has been a per-circuit variable ever since the
original 1994 draft of the IS-IS MIB.

I'm personnally in favour of making the default 10 to be more
conservative than the current (MIB) default of 3. As I remember
it, the DEC (DNA) default is 10 on LANs and 3 on Pt-to-Pt circuits
(which were assumed to have a reliable link layer).

Peter